$board-size: 300px;
$cell-size: calc($board-size/3);

.screen {
  margin: auto;
  height: 90vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  row-gap: 2rem;
}

.menu {
    display: flex;
    gap: 1rem;
}

.stroke {
    position: absolute;
    transform: rotate(45deg);
    z-index: 10;
    width: 300px;
    height: 4px;
    background-color: black;
}

.board {
  display: flex;
  width: $board-size;
  height: $board-size;
  flex-wrap: wrap;

  .cell {
    display: flex;
    align-items: center;
    justify-content: center;

    width: $cell-size;
    height: $cell-size;
    border: 2px black solid;
    box-sizing: border-box;
    cursor: pointer;

    p {
      font-size: xxx-large;
      font-family: "Courier New", Courier, monospace;
      font-weight: 800;
    }

    &:nth-child(1) {
      border-top: 0;
      border-left: 0;
    }

    &:nth-child(2) {
      border-top: 0;
    }

    &:nth-child(3) {
      border-top: 0;
      border-right: 0;
    }

    &:nth-child(4) {
      border-left: 0;
    }

    &:nth-child(6) {
      border-right: 0;
    }

    &:nth-child(7) {
      border-bottom: 0;
      border-left: 0;
    }

    &:nth-child(8) {
      border-bottom: 0;
    }

    &:nth-child(9) {
      border-bottom: 0;
      border-right: 0;
    }
  }
}

#message {
  font-size: 30px;
  font-weight: 800;
}

#menu-btn {
    text-align: center;
    min-width: 6rem;
    padding: 1rem;
    cursor: pointer;
    border: 3px black solid;
    border-radius: 1rem;
    font-weight: 800;

    &:hover{
        transform: translate(-1px, -1px);
        box-shadow: 5px 5px 5px rgb(136, 136, 136);
    }
}

.hardmode {
  animation: spin .092s linear infinite running;

}

@keyframes spin {
    0%{
        transform: rotate(0deg);
    }

    50% {
        transform: rotate(360deg);
    }
    
    100%{
        transform: rotate(720deg);
    }
}